#ifndef __ardour_gtk_region_gain_line_h__
#define __ardour_gtk_region_gain_line_h__

#include <ardour/ardour.h>
#include <gtk-canvas.h>
#include <gtk--.h>

#include "automation_line.h"

namespace ARDOUR {
	class Session;
}

class PublicEditor;
class AudioRegionView;

class AudioRegionGainLine : public AutomationLineCurve
{
  public:
	AudioRegionGainLine (string name, ARDOUR::Session&, AudioRegionView&, PublicEditor&, GtkCanvasItem* parent,
			     ARDOUR::Curve&, 
			     gint (*point_callback)(GtkCanvasItem*, GdkEvent*, gpointer),
			     gint (*line_callback)(GtkCanvasItem*, GdkEvent*, gpointer));
	
	void view_to_model_y (double&);
	void model_to_view_y (double&);

  private:
	ARDOUR::Session& session;
	AudioRegionView& rv;

	void change_model (unsigned long, double x, double y);
	void change_model_range (unsigned long, unsigned long, double delta);
	void remove_model_range (unsigned long start, unsigned long end);

	UndoAction get_memento();
};


#endif /* __ardour_gtk_region_gain_line_h__ */
